> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List lots

> List lots

### Query parameters

<ParamField query="sku" type="string" />

<ParamField query="lot_number" type="string" />

<ParamField query="status" type="string">
  One of `active`, `quarantine`, `expired`, `consumed`, `on_hold`, `recalled`, `scrapped`.
</ParamField>

<ParamField query="limit" type="integer (int32)" />

<ParamField query="offset" type="integer (int32)" />

### Responses

<ResponseField name="200" type="LotListResponse" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/lots' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "lots": [
      {
        "created_at": "string",
        "expiration_date": null,
        "id": "string",
        "lot_number": "string",
        "production_date": "string",
        "quantity_available": "string",
        "quantity_produced": "string",
        "quantity_remaining": "string",
        "quantity_reserved": "string",
        "sku": "string",
        "status": "string"
      }
    ],
    "total": 1
  }
  ```
</ResponseExample>
